GCLOUD_INIT(1)

NAME

gcloud init - initialize or reinitialize gcloud

SYNOPSIS

gcloud init [--console-only] [GLOBAL-FLAG ...]

DESCRIPTION
Initialize or reinitialize gcloud. gcloud init launches a interactive getting-started gcloud workflow, and replaces gcloud auth login as the recommended command to execute after newly installing gcloud. This workflow performs a variety of setup tasks, including the following:

    •   launching an authorization flow or selecting credentials

    •   setting properties including project, default Google Compute Engine zone, and default Google Compute Engine region

    •   suggesting cloning a source repository
Most users will run gcloud init to get started with gcloud. Subsequent gcloud init invocations can be use to create new gcloud configurations or to reinitialize existing configurations. See gcloud topic configurations for additional information about configurations. Properties set by gcloud init are local and persistent. They are not affected by remote changes to your project. For instance, your configuration's default Compute Engine zone will remain stable, even if you or another user changes the project default zone in the Developer Console website. You can resync your configuration at any time by rerunning gcloud init.

FLAGS
--console-only
    Don't launch a browser for authentication.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.